These are chat archives for ethereum/tutorials

6th
Aug 2017
pirokars
@pirokars
Aug 06 2017 05:36
Yes, thank you @phalexo . I've just finished up my eth client and money are there. Thank for you advice)
phalexo
@phalexo
Aug 06 2017 14:24
I'am glad it worked out for you. I, myself, was not completely certain if my idea would work or not, so I have learned something as well, @pirokars .
There was a very unlikely possibility that an account with that id was already on mainnet, but I was betting that the probability of that was close to zero.
By the way, as I mentioned before, for security reasons, you should move your funds out of the account that has the same number as the one on rinkeby. Since rinkeby is a test network it may not be as secure as mainnet and your password/private key may be compromised.
GIUSEPPE
@setzugi
Aug 06 2017 16:31
are here italian?
GIUSEPPE
@setzugi
Aug 06 2017 17:05
Voglio lanciare il mio progetto con Bitcoin per la realizzazione di una struttura con giardino e servizi di Coliving per chi usa la piattaforma Ethernum da tutto il mondo in modo da poter lavorare e avere una location organizzata a dovere quando si trovano in Italia. La sede sarĂ  in Sardegna a 15 minuti dall'aeroporto e a 20 minuti da Cagliari. Sardegna Isola dei Nuraghi fantastica isola del Mediterraneo.
AgentAware
@AgentAware
Aug 06 2017 19:08

I am getting following errors while trying to install NMP as per the instructions at https://ethereumdev.io/getting-started-with-embark-framework : /usr/local/bin/testrpc -> /usr/local/lib/node_modules/ethereumjs-testrpc/build/cli.node.js

uglifyjs-webpack-plugin@0.4.6 postinstall /usr/local/lib/node_modules/ethereumjs-testrpc/node_modules/uglifyjs-webpack-plugin
node lib/post_install.js

sh: 1: node: not found
/usr/local/lib
`-- (empty)

npm WARN optional Skipping failed optional dependency /ethereumjs-testrpc/chokidar/fsevents:
npm WARN notsup Not compatible with your operating system or architecture: fsevents@1.1.2
npm ERR! Linux 4.4.0-89-generic
npm ERR! argv "/usr/bin/nodejs" "/usr/bin/npm" "-g" "install" "ethereumjs-testrpc"
npm ERR! node v4.8.4
npm ERR! npm v3.5.2
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn

npm ERR! uglifyjs-webpack-plugin@0.4.6 postinstall: node lib/post_install.js
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the uglifyjs-webpack-plugin@0.4.6 postinstall script 'node lib/post_install.js'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the uglifyjs-webpack-plugin package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node lib/post_install.js
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs uglifyjs-webpack-plugin
npm ERR! Or if that isn't available, you can get their info via:
npm ERR! npm owner ls uglifyjs-webpack-plugin
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /home/vermancorp/npm-debug.log
npm ERR! code 1

I have already installed Geth and other dependencies on my Ubuntu workstation
What am I doing wrong here?
Is there any alternative IDE or tool for developing DApps in Solidity or Javascript?
AgentAware
@AgentAware
Aug 06 2017 19:46
I am getting exceptions when running the command: embark demo
cd embark_demo